TEMPFILE(1)

NOME
tempfile - cria um ficheiro temporário de um modo seguro

SINOPSE
tempfile [-d DIR] [-p STRING] [-s STRING] [-m MODO] [-n FICHEIRO] [--directory=DIR] [--prefix=STRING] [--suffix=STRING] [--mode=MODO] [--name=FICHEIRO] [--help] [--version]

DESCRIÇÃO

tempfile cria um ficheiro temporário num modo seguro. Usa o tempnam(3) para escolher o nome e abre-o com O_RDWR | O_CREAT | O_EXCL. O nome do ficheiro é escrito na saída standard. Veja tempnam(3) para os passos reais envolvidos em selecção de directório.

O directório onde se vai criar o ficheiro pode ser pesquisa por esta ordem (mas consulte o tempnam(3) para respostas autoritárias):

a)  No caso da variável de ambiente TMPDIR existir e conter o nome dum directório apropriado, esse é usado.

b)  Caso contrário, se o argumento --directório for específico e apropriado, ele é usado.

c)  Caso contrário, P_tmpdir (como definido em <stdio.h>) é usado quando apropriado.

d)  Finalmente pode ser usado um directório de implementação definida (/tmp).

OPÇÕES

-d, --directory DIR
    Coloca o ficheiro em DIR.

-m, --mode MODO
    Abre o ficheiro com MODO em vez de 0600.

-n, --name FICHEIRO
    Usa FICHEIRO para o nome em vez de tempnam(3). As opções -d, -p, e -s são ignoradas se for usada esta opção.

-p, --prefix STRING
    Usa até cinco letras de STRING para gerar o nome.

-s, --suffix STRING
    Gera o ficheiro com STRING sendo o sufixo.

--help
    Escreve uma mensagem de utilização na saída standard e termina com sucesso.

--version
    Escreve informação da versão na saída standard e termina com sucesso.

VALORES DE RETORNO
Um estado ao terminar de 0 significa que o ficheiro temporário foi criado com sucesso. Qualquer outro estado ao terminar indica um erro.

BUGS
Não é garantida a criação exclusiva quando se criam ficheiros em partições NFS, o tempfile não pode fazer directórios temporários. O tempfile está abandonado, você deve usar o mktemp(1) em vez deste.

EXEMPLO
    #!/bin/sh
    #[...]
    t=$(tempfile) || exit
    trap "rm -f -- '$t'" EXIT
    #[...]
    rm -f -- "$t"
    trap - EXIT
    exit

VEJA TAMBÉM
tempnam(3), mktemp(1)